Page MenuHomePhabricator

Port mediawiki.legacy.protect to modern JavaScript
Closed, ResolvedPublic

Description

  • No inline on-event attributes etc
  • No inline <script>
  • No global ProtectionForm variable (certainly not capitalized like that)

Not blocking as it works, but should be done soon-ish.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=52098

Details

Reference
bz33871
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:00 AM
bzimport set Reference to bz33871.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Jan 22 2012, 2:44 AM

john wrote:

I'll handle this post-1.19

Un-assigning due to lack of progress. This is an enhancement, not important enough to hold back 1.20. Moving milestone.

Created attachment 15353
Some untested code

I did a bit of work on this, but I do not have the time to turn it into a working patch. Be aware that I didn't even test the code. Anyway, perhaps somebody finds it helpful to use the attached code as basis.

attachment mediawiki.action.protect.js ignored as obsolete

Change 159518 had a related patch set uploaded by Alex Monk:
Clean up mediawiki.legacy.protect a bit.

https://gerrit.wikimedia.org/r/159518

Change 159518 merged by jenkins-bot:
Clean up mediawiki.legacy.protect a bit.

https://gerrit.wikimedia.org/r/159518

That leaves this:

(In reply to Krinkle from comment #0)

  • No global ProtectionForm variable (certainly not capitalized like that)
matmarex edited projects, added MediaWiki-Page-protection; removed MediaWiki-General.
matmarex set Security to None.
matmarex removed a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2016, 3:50 AM
Fomafix reopened this task as Open.Apr 2 2019, 8:22 AM

Reopen: The JavaScript global variable window.ProtectionForm still gets assigned.

Fomafix removed Fomafix as the assignee of this task.Apr 2 2019, 8:22 AM

Change 500669 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@master] protect.js: Remove JavaScript global variable window.ProtectionForm

https://gerrit.wikimedia.org/r/500669

Change 500669 merged by jenkins-bot:
[mediawiki/core@master] protect.js: Remove JavaScript global variable window.ProtectionForm

https://gerrit.wikimedia.org/r/500669

Fomafix closed this task as Resolved.Apr 3 2019, 8:26 PM
Fomafix assigned this task to Krenair.